Groovy 1.7.10

## org.codehaus.groovy.binding
[Java] Class EventTriggerBinding

    java.lang.Object
      org.codehaus.groovy.binding.EventTriggerBinding

All Implemented Interfaces:
  TriggerBinding

    public class EventTriggerBinding
    extends Object

Authors:
  Danno Ferrin

Version:
  \$Revision: 13502 \$

Since:
  Groovy 1.1

Constructor Summary
`EventTriggerBinding(Object triggerBean, String eventName)`

Method Summary
`FullBinding` | `createBinding(SourceBinding sourceBinding, TargetBinding targetBinding)`
`String` | `getEventName()`
`Object` | `getTriggerBean()`
`void` | `setEventName(String eventName)`
`void` | `setTriggerBean(Object triggerBean)`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### EventTriggerBinding

    public EventTriggerBinding(Object triggerBean, String eventName)

Method Detail

### createBinding

    public FullBinding createBinding(SourceBinding sourceBinding, TargetBinding targetBinding)

### getEventName

    public String getEventName()

### getTriggerBean

    public Object getTriggerBean()

### setEventName

    public void setEventName(String eventName)

### setTriggerBean

    public void setTriggerBean(Object triggerBean)

Copyright © 2003-2010 The Codehaus. All rights reserved.